org.apache.xmlbeans.impl.xb.xsdschema

## Interface ComplexContentDocument.ComplexContent

All Superinterfaces:
  Annotated, OpenAttrs, XmlObject, XmlTokenSource

All Known Implementing Classes:
  ComplexContentDocumentImpl.ComplexContentImpl

Enclosing interface:
  ComplexContentDocument

    public static interface ComplexContentDocument.ComplexContent
    extends Annotated

An XML complexContent(@http://www.w3.org/2001/XMLSchema). This is a complex type.

### Field Summary

Fields
`static ElementFactory<ComplexContentDocument.ComplexContent>` `Factory`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`ExtensionType` `addNewExtension()` Appends and returns a new empty "extension" element
`ComplexRestrictionType` `addNewRestriction()` Appends and returns a new empty "restriction" element
`ExtensionType` `getExtension()` Gets the "extension" element
`boolean` `getMixed()` Gets the "mixed" attribute
`ComplexRestrictionType` `getRestriction()` Gets the "restriction" element
`boolean` `isSetExtension()` True if has "extension" element
`boolean` `isSetMixed()` True if has "mixed" attribute
`boolean` `isSetRestriction()` True if has "restriction" element
`void` `setExtension(ExtensionType extension)` Sets the "extension" element
`void` `setMixed(boolean mixed)` Sets the "mixed" attribute
`void` `setRestriction(ComplexRestrictionType restriction)` Sets the "restriction" element
`void` `unsetExtension()` Unsets the "extension" element
`void` `unsetMixed()` Unsets the "mixed" attribute
`void` `unsetRestriction()` Unsets the "restriction" element
`XmlBoolean` `xgetMixed()` Gets (as xml) the "mixed" attribute
`void` `xsetMixed(XmlBoolean mixed)` Sets (as xml) the "mixed" attribute

### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

`addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final ElementFactory<ComplexContentDocument.ComplexContent> Factory

#### type

    static final SchemaType type

### Method Detail

#### getRestriction

    ComplexRestrictionType getRestriction()

Gets the "restriction" element

#### isSetRestriction

    boolean isSetRestriction()

True if has "restriction" element

#### setRestriction

    void setRestriction(ComplexRestrictionType restriction)

Sets the "restriction" element

#### addNewRestriction

    ComplexRestrictionType addNewRestriction()

Appends and returns a new empty "restriction" element

#### unsetRestriction

    void unsetRestriction()

Unsets the "restriction" element

#### getExtension

    ExtensionType getExtension()

Gets the "extension" element

#### isSetExtension

    boolean isSetExtension()

True if has "extension" element

#### setExtension

    void setExtension(ExtensionType extension)

Sets the "extension" element

#### addNewExtension

    ExtensionType addNewExtension()

Appends and returns a new empty "extension" element

#### unsetExtension

    void unsetExtension()

Unsets the "extension" element

#### getMixed

    boolean getMixed()

Gets the "mixed" attribute

#### xgetMixed

    XmlBoolean xgetMixed()

Gets (as xml) the "mixed" attribute

#### isSetMixed

    boolean isSetMixed()

True if has "mixed" attribute

#### setMixed

    void setMixed(boolean mixed)

Sets the "mixed" attribute

#### xsetMixed

    void xsetMixed(XmlBoolean mixed)

Sets (as xml) the "mixed" attribute

#### unsetMixed

    void unsetMixed()

Unsets the "mixed" attribute